vlc_2.0.3-5+deb7u2+b1_i386.deb


Advertisement

Description

vlc - multimedia player and streamer

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name vlc
Package version 2.0.3
Package release 5+deb7u2+b1
Package architecture i386
Package type deb
Installed size 3.17 KB
Download size 1.04 MB
Official Mirror ftp.br.debian.org
VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
podcasts, and multimedia streams from various network sources.
VLC can also be used as a streaming server that duplicates the stream it
reads and multicasts them through the network to other clients, or serves
them through HTTP.
VLC has support for on-the-fly transcoding of audio and video formats, either
for broadcasting purposes or for movie format transformations. Support for
most output methods is provided by this package, but features can be added
by installing additional audio plugins (vlc-plugin-pulse, vlc-plugin-sdl)
or video plugins (vlc-plugin-sdl).

Alternatives

Package Version Architecture Repository
vlc_2.1.5-1~bpo70+1_i386.deb 2.1.5 i386 Debian Backports Main
vlc_2.1.5-1~bpo70+1_amd64.deb 2.1.5 amd64 Debian Backports Main
vlc_2.0.6-dmo3+deb7u2_i386.deb 2.0.6 i386 Multimedia Main
vlc_2.0.6-dmo3+deb7u2_amd64.deb 2.0.6 amd64 Multimedia Main
vlc_2.0.3-5+deb7u2+b1_amd64.deb 2.0.3 amd64 Debian Security Updates Main
vlc_2.0.3-5+deb7u2+b1_i386.deb 2.0.3 i386 Debian Security Updates Main
vlc_2.0.3-5+deb7u2+b1_amd64.deb 2.0.3 amd64 Debian Main
vlc - - -

Requires

Name Value
dpkg >= 1.15.6~
fonts-freefont-ttf -
libaa1 >= 1.4p5
libavcodec-extra-53 >= 6:0.8.16
libavcodec53 >= 6:0.8.3-1~
libavutil51 >= 6:0.8.3-1~
libc6 >= 2.8
libcaca0 >= 0.99.beta17-1
libfreetype6 >= 2.2.1
libfribidi0 >= 0.19.2
libgcc1 >= 1:4.1.1
libgl1 -
libgl1-mesa-glx -
libice6 >= 1:1.0.0
libqtcore4 >= 4:4.8.0
libqtgui4 >= 4:4.7.0~beta1
libsdl-image1.2 >= 1.2.10
libsdl1.2debian >= 1.2.11
libsm6 -
libstdc++6 >= 4.6
libtar0 -
libva-x11-1 >> 1.0.15~
libva1 >> 1.0.15~
libvlccore5 >= 2.0.0
libx11-6 -
libxcb-composite0 -
libxcb-keysyms1 >= 0.3.9
libxcb-randr0 >= 1.1
libxcb-render0 -
libxcb-shape0 -
libxcb-shm0 -
libxcb-xfixes0 -
libxcb-xv0 >= 1.2
libxcb1 >= 1.6
libxext6 -
libxinerama1 -
libxpm4 -
vlc-nox = 2.0.3-5+deb7u2+b1
zlib1g >= 1:1.2.3.3

Provides

Name Value
mp3-decoder -

Replaces

Name Value
vlc-data << 1.1.5
vlc-nox << 2.0.2

Download

Type URL
Binary Package vlc_2.0.3-5+deb7u2+b1_i386.deb
Source Package vlc

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install vlc deb package:
    # sudo apt-get install vlc

Files

Path
/usr/bin/qvlc
/usr/bin/svlc
/usr/lib/mime/packages/vlc
/usr/lib/vlc/plugins/access/libxcb_screen_plugin.so
/usr/lib/vlc/plugins/codec/libavcodec_plugin.so
/usr/lib/vlc/plugins/codec/libsdl_image_plugin.so
/usr/lib/vlc/plugins/control/libglobalhotkeys_plugin.so
/usr/lib/vlc/plugins/gui/libqt4_plugin.so
/usr/lib/vlc/plugins/gui/libskins2_plugin.so
/usr/lib/vlc/plugins/misc/libxdg_screensaver_plugin.so
/usr/lib/vlc/plugins/misc/libxscreensaver_plugin.so
/usr/lib/vlc/plugins/services_discovery/libxcb_apps_plugin.so
/usr/lib/vlc/plugins/video_filter/libpanoramix_plugin.so
/usr/lib/vlc/plugins/video_output/libaa_plugin.so
/usr/lib/vlc/plugins/video_output/libcaca_plugin.so
/usr/lib/vlc/plugins/video_output/libxcb_glx_plugin.so
/usr/lib/vlc/plugins/video_output/libxcb_window_plugin.so
/usr/lib/vlc/plugins/video_output/libxcb_x11_plugin.so
/usr/lib/vlc/plugins/video_output/libxcb_xv_plugin.so
/usr/share/applications/vlc.desktop
/usr/share/bug/vlc
/usr/share/doc/vlc
/usr/share/kde4/apps/solid/actions/vlc-opencda.desktop
/usr/share/kde4/apps/solid/actions/vlc-opendvd.desktop
/usr/share/kde4/apps/solid/actions/vlc-openvcd.desktop
/usr/share/lintian/overrides/vlc
/usr/share/man/man1/qvlc.1.gz
/usr/share/man/man1/svlc.1.gz
/usr/share/menu/vlc

Changelog

2015-02-01 - Alessandro Ghedini <ghedo@debian.org>
vlc (2.0.3-5+deb7u2) wheezy-security; urgency=high
* Fix multiple vulnerabilities (Closes: #775866):
- Fix potential buffer overflow in the Dirac and Schroedinger encoders
as per CVE-2014-9629
- Fix buffer overflow when parsing string boxes in the MP4 demuxer
as per CVE-2014-9626, CVE-2014-9627, CVE-2014-9628
- Fix possible invalid memory access in the RTP code as per CVE-2014-9630
* Set urgency=high accordingly
2014-07-02 - Moritz Muehlenhoff <jmm@debian.org>
vlc (2.0.3-5+deb7u1) wheezy-security; urgency=low
* CVE-2013-1868 CVE-2013-1954 CVE-2013-4388
2013-03-04 - Benjamin Drung <bdrung@debian.org>
vlc (2.0.3-5) testing; urgency=low
* vlc-plugin-*: Break vlc-nox (<< 2.0.0) to workaround running an outdated
vlc-cache-gen. (Closes: #685243)
2012-12-06 - Benjamin Drung <bdrung@debian.org>
vlc (2.0.3-4) testing; urgency=low
* SECURITY UPDATE: denial of service via crafted PNG file (Closes: #692130)
- CVE-2012-5470
2012-10-04 - Benjamin Drung <bdrung@debian.org>
vlc (2.0.3-3) unstable; urgency=low
* debian/vlc.postinst: Fix directory to symlink upgrade in postinst.
Thanks to David Prévot <taffit@debian.org> (Closes: #687657)
* debian/vlc.preinst: Remove insufficient fix to #613121 (similar issue).
Thanks to David Prévot for the patch.
* Cherry-pick fix for VLC hang caused by the notify plugin. (Closes: #662628,
LP: #970447)
* Drop alternative dependency on transitional ttf-freefont.
2012-08-18 - Benjamin Drung <bdrung@debian.org>
vlc (2.0.3-2) unstable; urgency=low
* debian/rules: Use xz compression for binary packages.
Thanks to Ansgar Burchardt <ansgar@debian.org> (Closes: #683836)
* Add version to vlc-nox dependency of vlc-plugin-sdl (consistent with other
plug-ins).
2012-07-21 - Benjamin Drung <bdrung@debian.org>
vlc (2.0.3-1) unstable; urgency=low
* New upstream release.
2012-07-07 - Benjamin Drung <bdrung@debian.org>
vlc (2.0.2-2) unstable; urgency=low
* Add missing epoch to libqt4-dev build dependency.
* Drop libggi2-dev from build dependencies (not needed any more).
(Closes: #680237)
* The dependency ttf-freefont was renamed to fonts-freefont-ttf.
2012-06-30 - Benjamin Drung <bdrung@debian.org>
vlc (2.0.2-1) unstable; urgency=medium
[ Edward Wang ]
* New upstream release (Closes: #679625, #664279, LP: #689122, #936488,
#942126, #971106, #972615, #973051, #987231, #995003, #998538).
- Fix Ogg Heap buffer overflow. Thanks to Hugo Beauzée-Luyssen
* Add the crystalhd plugin to the vlc distribution.
* libcaca_plugin.so now depends on X11 in this release, so it must
be installed under vlc (versus vlc-nox).
[ Reinhard Tartler ]
* Urgency set to medium because a security issue is fixed in this release
[ Benjamin Drung ]
* Add new plugins to vlc-nox:
- crystalhd (Linux amd64 and i386 only)
- directfb
- fbosd (Linux only)
- omxil (Linux only)
* Add build dependencies for new plugins.
* Add new symbols to libvlccore5.
* Switch to debhelper 8.
2012-03-30 - Benjamin Drung <bdrung@debian.org>
vlc (2.0.1-4) unstable; urgency=high
* Add missing Breaks and Replaces for moving the documentation from vlc-data
away from /usr/share/doc/vlc before converting the directory into a symlink.
(Closes: #665743)

See Also

Package Description
vlock_2.2.2-3_i386.deb Virtual Console locking program
vlogger_1.3-3.1_all.deb virtual web logfile rotater/parser
vm-bonus-el_35.2+nmu1_all.deb vm-bogofilter add-on for VM
vm_8.1.0-1_all.deb A mail user agent for Emacs
vmfs-tools_0.2.5-1_i386.deb Tools to access VMFS filesystems
vmm_0.6.0-2_all.deb manage mail domains/accounts/aliases for Dovecot and Postfix
vmpk_0.4.0-3_i386.deb Virtual MIDI Piano Keyboard
vnc4server_4.1.1+X4.3.0-37.1_i386.deb Virtual network computing server software
vncsnapshot_1.2a-5.1_i386.deb A utility that takes JPEG snapshots from VNC servers
vnstat_1.11-1_i386.deb console-based network traffic monitor
vnstati_1.11-1_i386.deb image output support for vnStat
vobcopy_1.2.0-2_i386.deb Tool to copy DVD VOBs to hard disk
vocproc_0.2-3_i386.deb LV2 plugin for pitch shifting and vocoding
vodovod_1.10-2_i386.deb puzzle game, you must lead the water to the storage tank
voikko-fi_1.12-1_i386.deb Description of Finnish morphology written in Malaga
Advertisement
Advertisement